# PVXMLPlayableFileList Class Reference

`#include <vxml.h>`

Inheritance diagram for PVXMLPlayableFileList:

List of all members.

## Public Member Functions

| PVXMLPlayableFileList ()
virtual PBoolean | Open (PVXMLChannel &chan, const PString &arg, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
virtual PBoolean | Open (PVXMLChannel &chan, const PStringArray &filenames, PINDEX delay, PINDEX repeat, PBoolean autoDelete)
virtual bool | OnStart ()
virtual bool | OnRepeat ()
virtual void | OnStop ()

## Protected Attributes

PStringArray | m_fileNames
PINDEX | m_currentIndex

## Constructor & Destructor Documentation

PVXMLPlayableFileList::PVXMLPlayableFileList | ( |  | ) |

## Member Function Documentation

virtual bool PVXMLPlayableFileList::OnRepeat | ( |  | ) | `[virtual]`

Reimplemented from PVXMLPlayableFile.

virtual bool PVXMLPlayableFileList::OnStart | ( |  | ) | `[virtual]`

Reimplemented from PVXMLPlayableFile.

virtual void PVXMLPlayableFileList::OnStop | ( |  | ) | `[virtual]`

Reimplemented from PVXMLPlayableFile.

virtual PBoolean PVXMLPlayableFileList::Open | ( | PVXMLChannel & | chan,
|  | const PStringArray & | filenames,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete |
| ) |  |  | `[virtual]`

virtual PBoolean PVXMLPlayableFileList::Open | ( | PVXMLChannel & | chan,
|  | const PString & | arg,
|  | PINDEX | delay,
|  | PINDEX | repeat,
|  | PBoolean | autoDelete |
| ) |  |  | `[virtual]`

Reimplemented from PVXMLPlayableFile.

## Member Data Documentation

PINDEX PVXMLPlayableFileList::m_currentIndex `[protected]`

PStringArray PVXMLPlayableFileList::m_fileNames `[protected]`

The documentation for this class was generated from the following file:

- vxml.h